if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[MBS_ExtenderDetails]') and OBJECTPROPERTY(id, N'IsView') = 1)
drop view [dbo].[MBS_ExtenderDetails]
GO

create view MBS_ExtenderDetails 
as

select	X0.PT_Window_ID
	, X0.PT_UD_Key as [Key Field]
--	, isnull(X1.TOTAL,0) as [Checkbox Value] 
	, case isnull(X1.TOTAL,0) when 1 then 'true' else 'false' end as [Checkbox]
	, isnull(X2.TOTAL,0) as [Currency] 
	, isnull(X3.DATE1,'1900-01-01 00:00:00') as [Date]	
--	, isnull(X4.TOTAL,0) as [List Value] 
	, isnull(XL4.LONGNAME,'') as [List] 
	, isnull(X5.TOTAL,0) as [Number] 
	, isnull(X6.STRGA255,'') as [Short String] 
	, isnull(X7.TIME1,'1900-01-01 00:00:00') as [Time]	
	, isnull(X8.STRGA255,'') as [Long String] 

from EXT00100 X0 

-- Checkbox stored in Number table EXT00103
left join EXT00103 X1 on X1.PT_Window_ID = X0.PT_Window_ID and X1.PT_UD_Key = X0.PT_UD_Key and X1.PT_UD_Number = 1
-- Currency stored in Number table EXT00103
left join EXT00103 X2 on X2.PT_Window_ID = X0.PT_Window_ID and X2.PT_UD_Key = X0.PT_UD_Key and X2.PT_UD_Number = 2
-- Date stored in Date table EXT00102
left join EXT00102 X3 on X3.PT_Window_ID = X0.PT_Window_ID and X3.PT_UD_Key = X0.PT_UD_Key and X3.PT_UD_Number = 3
-- List Value stored in Number table EXT00103 with Lookup to List Setup table EXT40102
left join EXT00103 X4 
	inner join EXT40102 XL4 on XL4.PT_Window_ID = X4.PT_Window_ID and XL4.Field_Number = X4.PT_UD_Number and XL4.LNITMSEQ = X4.TOTAL
	on X4.PT_Window_ID = X0.PT_Window_ID and X4.PT_UD_Key = X0.PT_UD_Key and X4.PT_UD_Number = 4
-- Number stored in Number table EXT00103
left join EXT00103 X5 on X5.PT_Window_ID = X0.PT_Window_ID and X5.PT_UD_Key = X0.PT_UD_Key and X5.PT_UD_Number = 5
-- Short String stored in String table EXT00101
left join EXT00101 X6 on X6.PT_Window_ID = X0.PT_Window_ID and X6.PT_UD_Key = X0.PT_UD_Key and X6.PT_UD_Number = 6
-- Time stored in Time table EXT00104
left join EXT00104 X7 on X7.PT_Window_ID = X0.PT_Window_ID and X7.PT_UD_Key = X0.PT_UD_Key and X7.PT_UD_Number = 7
-- Long String stored in String table EXT00101
left join EXT00101 X8 on X8.PT_Window_ID = X0.PT_Window_ID and X8.PT_UD_Key = X0.PT_UD_Key and X8.PT_UD_Number = 8

-- Name of the Extender ID for the window
where X0.PT_Window_ID = 'DETAILS'

GO

GRANT  SELECT ,  INSERT ,  DELETE ,  UPDATE  ON [dbo].[MBS_ExtenderDetails]  TO [DYNGRP]
GO

select * from MBS_ExtenderDetails
